/// <reference types="react" />
export declare const PaymentWrapperStyled: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentCivilLogo: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeaderFlex: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeaderCenter: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeaderNewsroom: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeaderTip: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentAdjustedNotice: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentAdjustedNoticeFtr: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentFormWrapperStyled: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHeaderBoostLabel: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const PaymentHeaderAmount: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const PaymentDirectionsStyled: import("styled-components").StyledComponent<"p", any, {}, never>;
export interface PaymentBtnProps {
    backgroundColor?: string;
}
export declare const PaymentBtn: import("styled-components").StyledComponent<"button", any, PaymentBtnProps, never>;
export declare const PaymentInvertedBtn: import("styled-components").StyledComponent<(props: import("@joincivil/elements").ButtonProps) => JSX.Element, any, {}, never>;
export declare const PaymentTypeSelect: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentNotice: import("styled-components").StyledComponent<"p", any, {}, never>;
export declare const PaymentTerms: import("styled-components").StyledComponent<"p", any, {}, never>;
export declare const PaymentInfoFlex: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentSecure: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentTypeLabel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentAmountEth: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentError: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentInputLabel: import("styled-components").StyledComponent<"label", any, {}, never>;
export interface PaymentWarningProps {
    redText?: boolean;
}
export declare const PaymentWarning: import("styled-components").StyledComponent<"div", any, PaymentWarningProps, never>;
export interface PaymentModalProps {
    maxHeight: number;
}
export declare const PaymentModalContain: import("styled-components").StyledComponent<"div", any, PaymentModalProps, never>;
export declare const PaymentModalCloseBtn: import("styled-components").StyledComponent<(props: import("@joincivil/elements").ButtonProps) => JSX.Element, any, {}, never>;
export declare const PaymentEthLearnMore: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentRadioBtnContain: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentRadioBtn: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const PaymentAmountNewsroom: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentGhostBtn: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const PaymentAmountUserInput: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentAmountUserOptions: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentLoginOrGuestWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentLoginOrGuestTitle: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentLoginOrGuestOption: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentLoginOrGuestType: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentLoginOrGuestDescription: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentInfoStyled: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentExpress: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentOrBorder: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentEdit: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentHide: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const PaymentBackBtn: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const PayAppleGoogleOnCivilPrompt: import("styled-components").StyledComponent<"div", any, {}, never>;
